package com.sz.admin.monitor.mapper;


import com.mybatisflex.core.BaseMapper;
import com.mybatisflex.core.query.QueryWrapper;
import com.mybatisflex.core.update.UpdateChain;
import com.sz.admin.monitor.pojo.po.ModelContentDO;

import java.util.Set;

/**
 * @description: 存储模型的基本信息和配置
 * @author xq
 * @version 1.0
 */
public interface ModelContentMapper extends BaseMapper<ModelContentDO> {
    default void deleteByRoomIds(Set<Long> roomIds)
    {
        QueryWrapper wrapper = QueryWrapper.create()
            .select()
            .from(ModelContentDO.class)
            .where(ModelContentDO::getRoomId).in(roomIds);
        this.deleteByQuery(wrapper);
    }
}